Bug 622020 - [abrt] crash in grass-6.3.0-15.fc12: posixpath.py:70:join:UnicodeDecodeError: 'ascii' codec can't decode byte 0xf4 in position 1: ordinal not in range(128)
[abrt] crash in grass-6.3.0-15.fc12: posixpath.py:70:join:UnicodeDecodeError:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grass (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Devrim Gündüz
Fedora Extras Quality Assurance
abrt_hash:efd0331b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-06 15:07 EDT by Panait Valentin
Modified: 2011-04-09 01:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 07:55:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.55 KB, text/plain)
2010-08-06 15:07 EDT, Panait Valentin
no flags Details

  None (edit)
Description Panait Valentin 2010-08-06 15:07:45 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: python /usr/lib/grass-6.3.0/etc/wxpython/gis_set.py
comment: perhaps ought GRASS 6.3.0 can be accessed directly at the command line... 
component: grass
executable: /usr/lib/grass-6.3.0/etc/wxpython/gis_set.py
kernel: 2.6.32.16-150.fc12.i686.PAE
package: grass-6.3.0-15.fc12
reason: posixpath.py:70:join:UnicodeDecodeError: 'ascii' codec can't decode byte 0xf4 in position 1: ordinal not in range(128)
release: Fedora release 12 (Constantine)

backtrace
-----
posixpath.py:70:join:UnicodeDecodeError: 'ascii' codec can't decode byte 0xf4 in position 1: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/lib/grass-6.3.0/etc/wxpython/gis_set.py", line 714, in <module>
    GRASSStartUp = StartUp(0)
  File "/usr/lib/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7978, in __init__
    self._BootstrapApp()
  File "/usr/lib/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7552, in _BootstrapApp
    return _core_.PyApp__BootstrapApp(*args, **kwargs)
  File "/usr/lib/grass-6.3.0/etc/wxpython/gis_set.py", line 698, in OnInit
    StartUp = GRASSStartup()
  File "/usr/lib/grass-6.3.0/etc/wxpython/gis_set.py", line 154, in __init__
    self._set_properties()
  File "/usr/lib/grass-6.3.0/etc/wxpython/gis_set.py", line 193, in _set_properties
    self.OnSetDatabase(None)
  File "/usr/lib/grass-6.3.0/etc/wxpython/gis_set.py", line 576, in OnSetDatabase
    self.UpdateLocations(self.gisdbase)
  File "/usr/lib/grass-6.3.0/etc/wxpython/gis_set.py", line 521, in UpdateLocations
    for location in glob.glob(os.path.join(dbase, "*")):
  File "/usr/lib/python2.6/glob.py", line 16, in glob
    return list(iglob(pathname))
  File "/usr/lib/python2.6/glob.py", line 43, in iglob
    yield os.path.join(dirname, name)
  File "/usr/lib/python2.6/posixpath.py", line 70, in join
    path += '/' + b
UnicodeDecodeError: 'ascii' codec can't decode byte 0xf4 in position 1: ordinal not in range(128)

Local variables in innermost frame:
a: u'/home/vali'
path: u'/home/vali'
b: '\xf4?_'
p: ('\xf4?_',)

How to reproduce
-----
1. GRASS 6.3.0 automatic open Terminal
2. the setings of DATABASE start in text mod 
3. The error occurred
Comment 1 Panait Valentin 2010-08-06 15:07:47 EDT
Created attachment 437240 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 07:11:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 07:55:22 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Kerry 2011-04-09 01:56:25 EDT
Bug still exists in Fedora 14 - grass.i686 0:6.3.0-17.fc14

WELCOME TO GRASS              Version 6.3.0         2008

   1) Have at your side all available GRASS tutorials

   2) When working on your location, the following materials
      are extremely useful:
      - A topo map of your area
      - Current catalog of available computer maps

   3) Check the GRASS webpages for feedback mailinglists and more:
      http://www.grass-gis.org
      http://grass.osgeo.org

Hit RETURN to continue

Starting GRASS ...
Traceback (most recent call last):
  File "/usr/lib/grass-6.3.0/etc/wxpython/gis_set.py", line 714, in <module>
    GRASSStartUp = StartUp(0)
  File "/usr/lib/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7978, in __init__
    self._BootstrapApp()
  File "/usr/lib/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7552, in _BootstrapApp
    return _core_.PyApp__BootstrapApp(*args, **kwargs)
  File "/usr/lib/grass-6.3.0/etc/wxpython/gis_set.py", line 698, in OnInit
    StartUp = GRASSStartup()
  File "/usr/lib/grass-6.3.0/etc/wxpython/gis_set.py", line 154, in __init__
    self._set_properties()
  File "/usr/lib/grass-6.3.0/etc/wxpython/gis_set.py", line 193, in _set_properties
    self.OnSetDatabase(None)
  File "/usr/lib/grass-6.3.0/etc/wxpython/gis_set.py", line 576, in OnSetDatabase
    self.UpdateLocations(self.gisdbase)
  File "/usr/lib/grass-6.3.0/etc/wxpython/gis_set.py", line 521, in UpdateLocations
    for location in glob.glob(os.path.join(dbase, "*")):
  File "/usr/lib/python2.7/glob.py", line 16, in glob
    return list(iglob(pathname))
  File "/usr/lib/python2.7/glob.py", line 43, in iglob
    yield os.path.join(dirname, name)
  File "/usr/lib/python2.7/posixpath.py", line 70, in join
    path += '/' + b
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe8 in position 1: ordinal not in range(128)
Error in GUI startup. If necessary, please
report this error to the GRASS developers.
Switching to text mode now.
Hit RETURN to continue...

Note You need to log in before you can comment on or make changes to this bug.